package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_rating_composite_category_score")
public class AuditRatingCompositeCategoryScore implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;	
		
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="category_code")
	private String categoryCode;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
		
	@Column(name="category_prcntg")
	private String categoryPrcntg;
	
	@Column(name="category_prcntg_aftr_overlay")
	private String categoryPrcntgAftrOverlay;
	
	@Column(name="category_rating")
	private String categoryRating;
	
	@Column(name="category_rating_aftr_overlay")
	private String categoryRatingAftrOverlay;	
	
	@Column(name="remarks")
	private String remarks;
	
	@Column(name="reviewer_remarks")
	private String reviewerRemarks;
	
	@Column(name="status")
	private String status;
		
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	private transient String categoryName;
	private transient String auditTypeName;
	private transient List<AuditRatingCompositeScore> auditRatingCompositeScoreLst;
	private transient String categoryPrcntgOneBelow;  //  
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getCategoryCode() {
		return categoryCode;
	}
	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getCategoryPrcntg() {
		return categoryPrcntg;
	}
	public void setCategoryPrcntg(String categoryPrcntg) {
		this.categoryPrcntg = categoryPrcntg;
	}
	public String getCategoryRating() {
		return categoryRating;
	}
	public void setCategoryRating(String categoryRating) {
		this.categoryRating = categoryRating;
	}
	public String getCategoryRatingAftrOverlay() {
		return categoryRatingAftrOverlay;
	}
	public void setCategoryRatingAftrOverlay(String categoryRatingAftrOverlay) {
		this.categoryRatingAftrOverlay = categoryRatingAftrOverlay;
	}
	public String getCategoryPrcntgAftrOverlay() {
		return categoryPrcntgAftrOverlay;
	}
	public void setCategoryPrcntgAftrOverlay(String categoryPrcntgAftrOverlay) {
		this.categoryPrcntgAftrOverlay = categoryPrcntgAftrOverlay;
	}
	
	public String getCategoryPrcntgOneBelow() {
		return categoryPrcntgOneBelow;
	}
	public void setCategoryPrcntgOneBelow(String categoryPrcntgOneBelow) {
		this.categoryPrcntgOneBelow = categoryPrcntgOneBelow;
	}
	public String getRemarks() {
		return remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	public String getReviewerRemarks() {
		return reviewerRemarks;
	}
	public void setReviewerRemarks(String reviewerRemarks) {
		this.reviewerRemarks = reviewerRemarks;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getMaker() {
		return maker;
	}
	public void setMaker(String maker) {
		this.maker = maker;
	}
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}
	public String getChecker() {
		return checker;
	}
	public void setChecker(String checker) {
		this.checker = checker;
	}
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	public String getCategoryName() {
		return categoryName;
	}
	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}
	public String getAuditTypeName() {
		return auditTypeName;
	}
	public void setAuditTypeName(String auditTypeName) {
		this.auditTypeName = auditTypeName;
	}
	public List<AuditRatingCompositeScore> getAuditRatingCompositeScoreLst() {
		return auditRatingCompositeScoreLst;
	}
	public void setAuditRatingCompositeScoreLst(List<AuditRatingCompositeScore> auditRatingCompositeScoreLst) {
		this.auditRatingCompositeScoreLst = auditRatingCompositeScoreLst;
	}
	
		
	}
